Subject: Re: [PATCH net-next] net: stmmac: imx: use phylink's interface mode for set_clk_tx_rate()

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 4 Nov 2025 07:50:26 +0000

On Fri, Oct 31, 2025 at 11:10:26AM +0000, Russell King (Oracle) wrote:
> imx_dwmac_set_clk_tx_rate() is passed the interface mode from phylink
> which will be the same as plat_dat->phy_interface. Use the passed-in
> interface mode rather than plat_dat->phy_interface.
> 
> Signed-off-by: Russell King (Oracle) <[email-masked]>

While checking patchwork this morning, this patch was unexpectedly
marked as superseded. It appears I accidentally posted it as part of
the multi-interface stmmac series. This should not have happened.
Please apply _this_ patch as it has Maxime's attributations on,
whereas the mistakenly reposted patch does not.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!